Bug 812473 - SELinux is preventing /usr/libexec/accounts-daemon.#prelink#.GbQxTq (deleted) from 'getattr' accesses on the file /proc/<pid>/status.
SELinux is preventing /usr/libexec/accounts-daemon.#prelink#.GbQxTq (deleted)...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:80c4aad2d9a5c0ee91e85c5b8a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-13 16:16 EDT by Keith
Modified: 2012-04-18 19:07 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.10.0-116.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-18 19:07:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Keith 2012-04-13 16:16:14 EDT
libreport version: 2.0.10
executable:     /usr/bin/python
hashmarkername: setroubleshoot
kernel:         3.3.1-5.fc17.x86_64
time:           Fri 13 Apr 2012 02:14:58 PM MDT

description:
:SELinux is preventing /usr/libexec/accounts-daemon.#prelink#.GbQxTq (deleted) from 'getattr' accesses on the file /proc/<pid>/status.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that accounts-daemon.#prelink#.GbQxTq (deleted) should be allowed getattr access on the status file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep accounts-daemon /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:accountsd_t:s0
:Target Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
:Target Objects                /proc/<pid>/status [ file ]
:Source                        accounts-daemon
:Source Path                   /usr/libexec/accounts-daemon.#prelink#.GbQxTq
:                              (deleted)
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           accountsservice-0.6.18-1.fc17.x86_64
:Target RPM Packages           
:Policy RPM                    selinux-policy-3.10.0-106.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.3.1-5.fc17.x86_64 #1 SMP Tue Apr 10
:                              20:42:28 UTC 2012 x86_64 x86_64
:Alert Count                   14
:First Seen                    Fri 13 Apr 2012 02:04:17 PM MDT
:Last Seen                     Fri 13 Apr 2012 02:10:10 PM MDT
:Local ID                      357d6a6c-ad38-4e42-8cd9-6726d2182fc5
:
:Raw Audit Messages
:type=AVC msg=audit(1334347810.965:51): avc:  denied  { getattr } for  pid=792 comm="accounts-daemon" path="/proc/872/status" dev="proc" ino=15767 scontext=system_u:system_r:accountsd_t:s0 tcontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tclass=file
:
:
:type=SYSCALL msg=audit(1334347810.965:51): arch=x86_64 syscall=fstat success=no exit=EACCES a0=8 a1=7fff92404280 a2=7fff92404280 a3=11 items=0 ppid=1 pid=792 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=accounts-daemon exe=/usr/libexec/accounts-daemon subj=system_u:system_r:accountsd_t:s0 key=(null)
:
:Hash: accounts-daemon,accountsd_t,xdm_t,file,getattr
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:
Comment 1 Daniel Walsh 2012-04-13 16:20:49 EDT
Fixed in selinux-policy-3.10.0-114.fc17
Comment 2 Fedora Update System 2012-04-16 17:28:30 EDT
selinux-policy-3.10.0-116.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-116.fc17
Comment 3 Fedora Update System 2012-04-18 19:07:51 EDT
selinux-policy-3.10.0-116.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.